## mocker-el 0.3.1

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

test: unit-tests

unit-tests: elpa
	${CASK} exec ert-runner

elpa:
	mkdir -p elpa
	${CASK} install 2> elpa/install.log

clean-elpa:
	rm -rf elpa

clean-elc:
	rm -f *.elc test/*.elc

clean: clean-elpa clean-elc

print-deps:
	${EMACS} --version
	@echo CASK=${CASK}

travis-ci: print-deps test

=== debian/changelog ===
mocker-el (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #855454)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 18 Feb 2017 18:12:40 +0500

=== debian/control ===
Source: mocker-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/sigma/mocker.el
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/mocker-el.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/mocker-el.git

Package: elpa-mocker
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: mocking framework for Emacs
 This package is helpful with testing Emacs Lisp code. Its single
 entry point (`mocker-let') provides an `let' like interface to
 defining mock objects. Actually, `mocker-let' is a wrapper around
 `flet', which can be seen as a way to manually generate mocks.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mocker-el-$1\.tar\.gz/ \
  https://github.com/sigma/mocker.el/tags .*/v?(\d\S*)\.tar\.gz

## mocker-el 0.5.0

=== Makefile ===
EMACS ?= emacs

.PHONY: build test clean

build:
	keg build

test:
	keg exec $(EMACS) --batch -l test/mocker-test.el -f ert-run-tests-batch-and-exit

clean:
	keg clean

=== debian/changelog ===
mocker-el (0.5.0-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Lev Lamberov ]
  * New upstream version 0.5.0
  * Refresh patch to clean documantation
  * Migrate to dh 13 without d/compat
  * Keep test directory in autopkgtest
  * Add upstream metadata
  * d/control: Add Rules-Requires-Root: no
  * d/control: Clean Depends and Enhances fields
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Drop Built-Using field
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 31 Dec 2020 13:02:01 +0500

mocker-el (0.3.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 08:56:00 -0300

mocker-el (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 21:14:50 -0300

=== debian/control ===
Source: mocker-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.5.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/sigma/mocker.el
Vcs-Browser: https://salsa.debian.org/emacsen-team/mocker-el
Vcs-Git: https://salsa.debian.org/emacsen-team/mocker-el.git

Package: elpa-mocker
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: mocking framework for Emacs
 This package is helpful with testing Emacs Lisp code. Its single
 entry point (`mocker-let') provides an `let' like interface to
 defining mock objects. Actually, `mocker-let' is a wrapper around
 `flet', which can be seen as a way to manually generate mocks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_clean:
	@echo skipping upstream clean

override_dh_auto_test:
	@echo skipping upstream test

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_auto_test
